# Created by pyp2rpm-3.0.1
%global pypi_name jupyter_client
%global pypi_name_dash jupyter-client

Name:           python-%{pypi_name_dash}
Version:        4.2.2
Release:        2%{?dist}
Summary:        Jupyter protocol implementation and client libraries

License:        BSD
URL:            http://jupyter.org
Source0:        https://pypi.python.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-sphinx

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx

%description
This package contains the reference implementation of the Jupyter protocol.
It also provides client and kernel management APIs for working with kernels.

It also provides the `jupyter kernelspec` entrypoint for installing kernelspecs
for use with Jupyter frontends.

%package -n     python2-%{pypi_name_dash}
Summary:        Jupyter protocol implementation and client libraries
%{?python_provide:%python_provide python2-%{pypi_name_dash}}

Requires:       python-traitlets
Requires:       python-jupyter-core
Requires:       python-pyzmq >= 13
Requires:       python-setuptools
%description -n python2-%{pypi_name_dash}
This package contains the reference implementation of the Jupyter protocol.
It also provides client and kernel management APIs for working with kernels.

It also provides the `jupyter kernelspec` entrypoint for installing kernelspecs
for use with Jupyter frontends.

%package -n     python3-%{pypi_name_dash}
Summary:        Jupyter protocol implementation and client libraries
%{?python_provide:%python_provide python3-%{pypi_name_dash}}

Requires:       python3-traitlets
Requires:       python3-jupyter-core
Requires:       python3-pyzmq >= 13
Requires:       python3-setuptools
%description -n python3-%{pypi_name_dash}
This package contains the reference implementation of the Jupyter protocol.
It also provides client and kernel management APIs for working with kernels.

It also provides the `jupyter kernelspec` entrypoint for installing kernelspecs
for use with Jupyter frontends.

%package -n python-%{pypi_name_dash}-doc
Summary:        Documentation of the Jupyter protocol reference implementation
%description -n python-%{pypi_name_dash}-doc
Documentation of the reference implementation of the Jupyter protocol

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build
# TODO fails with Could not import extension sphinx.ext.napoleon (exception: No module named napoleon)
# generate html docs
## sphinx-build docs html
# remove the sphinx-build leftovers
## rm -rf html/.{doctrees,buildinfo}

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install
mv %{buildroot}/%{_bindir}/jupyter-kernelspec %{buildroot}/%{_bindir}/jupyter-kernelspec-%{python3_version}
ln -sf jupyter-kernelspec-%{python3_version} %{buildroot}/%{_bindir}/jupyter-kernelspec-3

%py2_install
mv %{buildroot}/%{_bindir}/jupyter-kernelspec %{buildroot}/%{_bindir}/jupyter-kernelspec-%{python2_version}
ln -sf jupyter-kernelspec-%{python2_version} %{buildroot}/%{_bindir}/jupyter-kernelspec-2

ln -sf jupyter-kernelspec-3 %{buildroot}/%{_bindir}/jupyter-kernelspec


%files -n python2-%{pypi_name_dash}
%doc README.md
%license COPYING.md
%{_bindir}/jupyter-kernelspec-2
%{_bindir}/jupyter-kernelspec-%{python2_version}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{pypi_name}/

%files -n python3-%{pypi_name_dash}
%doc README.md
%license COPYING.md
%{_bindir}/jupyter-kernelspec
%{_bindir}/jupyter-kernelspec-3
%{_bindir}/jupyter-kernelspec-%{python3_version}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{pypi_name}/

%files -n python-%{pypi_name_dash}-doc
##doc html

%changelog
* Mon Apr 18 2016 Thomas Spura <tomspur@fedoraproject.org> - 4.2.2-2
- Use dash in name
- Adjust description
- Use %%license

* Mon Apr 18 2016 Thomas Spura <tomspur@fedoraproject.org> - 4.2.2-1
- Initial package.
